.c-item-cart-preview {
  display: flex;
  gap: 8px;
  border-radius: 12px;
  text-decoration: none;
  transition: background-color 0.15s ease;
  cursor: pointer;
}
.c-item-cart-preview:active {
  background-color: rgba(29, 44, 64, 0.05);
}
.c-item-cart-preview:active .c-item-cart-preview__preview {
  background-color: transparent;
}
@media (hover: hover) and (pointer: fine) {
  .c-item-cart-preview:hover {
    background-color: rgba(29, 44, 64, 0.05);
  }
  .c-item-cart-preview:hover .c-item-cart-preview__preview {
    background-color: transparent;
  }
}
.c-item-cart-preview__preview {
  box-sizing: border-box;
  padding: 4px;
  width: 80px;
  min-width: 80px;
  height: 80px;
  border-radius: 10px;
  background-color: rgba(29, 44, 64, 0.05);
  transition: background-color 0.15s ease;
}
.c-item-cart-preview__preview img {
  -webkit-user-select: none;
  -webkit-user-drag: none;
  width: 100%;
  height: 100%;
  mix-blend-mode: darken;
  object-fit: contain;
}
.c-item-cart-preview__body {
  box-sizing: border-box;
  padding: 4px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 8px;
  overflow: hidden;
}
.c-item-cart-preview__body-description {
  width: 100%;
  max-width: 200px;
  display: flex;
  flex-direction: column;
  gap: 2px;
}
.c-item-cart-preview__body-description span {
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-user-select: none;
}
.c-item-cart-preview__body-description-type {
  font-family: var(--font-mevermind-compact);
  font-weight: 500;
  font-size: 13px;
  color: rgba(29, 44, 64, 0.5);
  line-height: 125%;
}
.c-item-cart-preview__body-description-title {
  font-family: var(--font-mevermind-compact);
  font-weight: 300;
  font-size: 15px;
  color: black;
  line-height: 135%;
}
.c-item-cart-preview__body-description-variant {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 13px;
  color: rgba(29, 44, 64, 0.5);
  line-height: 125%;
}
.c-item-cart-preview__body-total {
  display: flex;
  flex-direction: column;
  align-items: end;
}
.c-item-cart-preview__body-total-text {
  font-family: var(--font-mevermind-compact);
  font-weight: 500;
  font-size: 17px;
  color: black;
  line-height: 135%;
  white-space: nowrap;
  -webkit-user-select: none;
}
.c-item-cart-preview__body-total-quantity {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 13px;
  color: rgba(29, 44, 64, 0.5);
  line-height: 125%;
  white-space: nowrap;
  -webkit-user-select: none;
}
@media screen and (max-width: 959px) {
  .c-item-cart-preview__preview {
    padding: 0;
    width: 44px;
    min-width: 44px;
    height: 44px;
    border-radius: 6px;
  }
  .c-item-cart-preview__body-description {
    max-width: 135px;
  }
  .c-item-cart-preview__body-description-type {
    display: none;
  }
  .c-item-cart-preview__body-total {
    display: none;
  }
}